%define oname	imagewriter

Name:		usb-imagewriter
Summary:	A GUI tool to write .img and .iso files to USB Keys
Summary(fr_FR):	Un outil graphique pour écrire des fichiers .IMG et .ISO sur clés USB
Version:	0.1.99
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Configuration/Other
URL:		https://launchpad.net/usb-imagewriter
Source0:	https://launchpad.net/%{name}/trunk/0.1/+download/%{name}-%{version}.tar.gz
Source1:	imagewriter.png
Source2:	imagewriter-extra-lang-pack.zip
Source3:	imagewriter-mageia-header.png
Patch1:		imagewriter.py-change-drop_dd_command-add_filter_iso.patch
BuildArch:	noarch

BuildRequires:	imagemagick
BuildRequires:	usermode-consoleonly

Requires:	coreutils
Requires:	udisks
Requires:	procps
Requires:	python
Requires:	xterm
Requires:	pygtk2.0-libglade

%description
A GUI tool to write .img and .iso files to USB Keys.

This software is written in python.

%description -l fr_FR
Un outil graphique pour écrire des fichiers .IMG et .ISO sur clés USB.

Ce logiciel est écrit en python.

%files -f %{name}.lang
%doc COPYING
%{_sbindir}/%{oname}
%{_bindir}/%{oname}
%{_usr}/lib/%{oname}/
%{_datadir}/%{oname}/
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%{oname}.png
%{_iconsdir}/%{oname}.png
%{_liconsdir}/%{oname}.png

#--------------------------------------------------------------------
%prep
%setup -q
%__unzip -q %{SOURCE2}
%patch1 -p1

%build
%setup_compile_flags

%install
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_usr}/lib/%{oname}
mkdir -p %{buildroot}%{_datadir}/%{oname}

%__install -m 755 imagewriter %{buildroot}%{_sbindir}/%{oname}
%__install -m 644 share/%{name}/%{oname}.glade %{buildroot}%{_datadir}/%{oname}/%{oname}.glade
%__install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/%{oname}/header.png

# LIBFILES imagewriter.py find_devices
%__install -m 755 lib/find_devices %{buildroot}%{_usr}/lib/%{oname}/find_devices
%__install -m 755 lib/%{oname}.py %{buildroot}%{_usr}/lib/%{oname}/%{oname}.py

# usb-imagewriter.mo
pushd ./po
for f in an ar ast bg bs ca cs da de el en_AU en_CA en_GB es et fr gl he hr hu id it ja ka \
	 ko ku lt ml ms nb nl oc pl pt pt_BR ro ru sk sl sq sr sv th tr ug uk zh_CN zh_HK zh_TW;
do
		poname=${f:0:5}
		mkdir -p %{buildroot}%{_datadir}/locale/$poname/LC_MESSAGES
		install -m 644 $poname/LC_MESSAGES/%{name}.mo \
		"%{buildroot}%{_datadir}/locale/$poname/LC_MESSAGES/"
done
popd

# desktop menu entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{name}
Comment=A GUI tool to write .img and .iso files to USB Keys
Comment[fr]=Outil graphique pour écrire des fichiers .IMG et .ISO sur clés USB
Comment[de]=Ein Programm zum scheiben von *.img and *.iso Dateien auf USB-Sicks
Comment[pt]=Um Programa para gravar ficheiros *.img e *.iso em dispositivos USB
Type=Application
Terminal=false
Icon=imagewriter.png
Exec=%{_bindir}/%{oname}
Categories=System;
EOF

mkdir -p %{buildroot}/{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
convert %{SOURCE1} -geometry 16x16 %{buildroot}/%{_miconsdir}/%{oname}.png
convert %{SOURCE1} -geometry 32x32 %{buildroot}/%{_iconsdir}/%{oname}.png
convert %{SOURCE1} -geometry 48x48 %{buildroot}/%{_liconsdir}/%{oname}.png

# Adjust for console-helper magic
mkdir -p %{buildroot}%{_bindir}
pushd %{buildroot}%{_bindir}
ln -s consolehelper %{oname}
popd

%find_lang %{name}

%changelog
* Mon Jul 08 2013 david.david (MLO Team) <david.david> 0.1.99-1.mga2
+ Rebuild package for Mageia 2 (Core)
- imported package usb-imagewriter from Mageia 3
- new version: 0.1.99
- add french language in %%description and %%Summary
- add Source2: imagewriter-extra-lang-pack
- add Source3: imagewriter-mageia-header.png
- add Patch1: imagewriter.py-change-drop_dd_command-add_filter_iso.patch

	+ papoteur <papoteur> 
	  - replaced the dd command with direct writing command python.
	  - progressbar is functionnal.
	  - replaced the banner (header.png) with an header Mageia.
	  - added the translation files.
	  - added .iso filter.
	  - added writing ~/.imagewriter.log at the end.

+ Thanks for Papoteur for his great job
